App::Yath::Command::auditor(3pm)

NAME
App::Yath::Command::auditor - For internal use only

DESCRIPTION
No Description

USAGE
    $ yath [YATH OPTIONS] auditor [COMMAND OPTIONS]

  YATH OPTIONS
Developer

--dev-lib
--dev-lib=lib
-D
-D=lib
-Dlib
--no-dev-lib
    Add paths to @INC before loading ANYTHING. This is what you use if you are developing yath or yath plugins to make sure the yath script finds the local code instead of the installed versions of the same code. You can provide an argument (-Dfoo) to provide a custom path, or you can just use -D without and arg to add lib, blib/lib and blib/arch.

    Can be specified multiple times

Environment

--persist-dir ARG
--persist-dir=ARG
--no-persist-dir
    Where to find persistence files.

--persist-file ARG
--persist-file=ARG
--pfile ARG
--pfile=ARG
--no-persist-file
    Where to find the persistence file. The default is /{system-tempdir}/project-yath-persist.json. If no project is specified then it will fall back to the current directory. If the current directory is not writable it will default to /tmp/yath-persist.json which limits you to one persistent runner on your system.

--project ARG
--project=ARG
--project-name ARG
--project-name=ARG
--no-project
    This lets you provide a label for your current project/codebase. This is best used in a .yath.rc file. This is necessary for a persistent runner.

Help and Debugging

--show-opts
--no-show-opts
    Exit after showing what yath thinks your options mean

--version
-V
--no-version
    Exit after showing a helpful usage message

Plugins

--no-scan-plugins
--no-no-scan-plugins
    Normally yath scans for and loads all App::Yath::Plugin::* modules in order to bring in command-line options they may provide. This flag will disable that. This is useful if you have a naughty plugin that is loading other modules when it should not.

--plugins PLUGIN
--plugins +App::Yath::Plugin::PLUGIN
--plugins PLUGIN=arg1,arg2,...
--plugin PLUGIN
--plugin +App::Yath::Plugin::PLUGIN
--plugin PLUGIN=arg1,arg2,...
-pPLUGIN
--no-plugins
    Load a yath plugin.

    Can be specified multiple times

  COMMAND OPTIONS
Cover Options

--cover-aggregator ByTest
--cover-aggregator ByRun
--cover-aggregator +Custom::Aggregator
--cover-agg ByTest
--cover-agg ByRun
--cover-agg +Custom::Aggregator
--no-cover-aggregator
    Choose a custom aggregator subclass

--cover-class ARG
--cover-class=ARG
--no-cover-class
    Choose a Test2::Plugin::Cover subclass

--cover-dirs ARG
--cover-dirs=ARG
--cover-dir ARG
--cover-dir=ARG
--no-cover-dirs
    NO DESCRIPTION - FIX ME

    Can be specified multiple times

--cover-exclude-private
--no-cover-exclude-private
--cover-files
--no-cover-files
    Use Test2::Plugin::Cover to collect coverage data for what files are touched by what tests. Unlike Devel::Cover this has very little performance impact (About 4% difference)

--cover-from path/to/log.jsonl
--cover-from http://example.com/coverage
--cover-from path/to/coverage.jsonl
--no-cover-from
    This can be a test log, a coverage dump (old style json or new jsonl format), or a url to any of the previous. Tests will not be run if the file/url is invalid.

--cover-from-type json
--cover-from-type jsonl
--cover-from-type log
--no-cover-from-type
    File type for coverage source. Usually it can be detected, but when it cannot be you should specify. "json" is old style single-blob coverage data, "jsonl" is the new by-test style, "log" is a logfile from a previous run.

--cover-manager My::Coverage::Manager
--no-cover-manager
    Coverage 'from' manager to use when coverage data does not provide one

--cover-maybe-from path/to/log.jsonl
--cover-maybe-from http://example.com/coverage
--cover-maybe-from path/to/coverage.jsonl
--no-cover-maybe-from
    This can be a test log, a coverage dump (old style json or new jsonl format), or a url to any of the previous. Tests will coninue if even if the coverage file/url is invalid.

--cover-maybe-from-type json
--cover-maybe-from-type jsonl
--cover-maybe-from-type log
--no-cover-maybe-from-type
    Same as "from_type" but for "maybe_from". Defaults to "from_type" if that is specified, otherwise auto-detect

--cover-metrics
--no-cover-metrics
--cover-types ARG
--cover-types=ARG
--cover-type ARG
--cover-type=ARG
--no-cover-types
    NO DESCRIPTION - FIX ME

    Can be specified multiple times

--cover-write
--cover-write=coverage.jsonl
--cover-write=coverage.json
--no-cover-write
    Create a json or jsonl file of all coverage data seen during the run (This implies --cover-files).

Git Options

--git-change-base master
--git-change-base HEAD^
--git-change-base df22abe4
--no-git-change-base
    Find files changed by all commits in the current branch from most recent stopping when a commit is found that is also present in the history of the branch/commit specified as the change base.

Help and Debugging

--dummy
-d
--no-dummy
    Dummy run, do not actually execute anything

    Can also be set with the following environment variables: "T2_HARNESS_DUMMY"

--help
-h
--no-help
    exit after showing help information

--interactive
-i
--no-interactive
    Use interactive mode, 1 test at a time, stdin forwarded to it

--keep-dirs
--keep_dir
-k
--no-keep-dirs
    Do not delete directories when done. This is useful if you want to inspect the directories used for various commands.

--procname-prefix ARG
--procname-prefix=ARG
--no-procname-prefix
    Add a prefix to all proc names (as seen by ps).

YathUI Options

--yathui-api-key ARG
--yathui-api-key=ARG
--no-yathui-api-key
    Yath-UI API key. This is not necessary if your Yath-UI instance is set to single-user

--yathui-grace
--no-yathui-grace
    If yath cannot connect to yath-ui it normally throws an error, use this to make it fail gracefully. You get a warning, but things keep going.

--yathui-long-duration 10
--no-yathui-long-duration
    Minimum duration length (seconds) before a test goes from MEDIUM to LONG

--yathui-medium-duration 5
--no-yathui-medium-duration
    Minimum duration length (seconds) before a test goes from SHORT to MEDIUM

--yathui-mode summary
--yathui-mode qvf
--yathui-mode qvfd
--yathui-mode complete
--no-yathui-mode
    Set the upload mode (default 'qvfd')

--yathui-project ARG
--yathui-project=ARG
--no-yathui-project
    The Yath-UI project for your test results

--yathui-retry
--no-yathui-retry
    How many times to try an operation before giving up

    Can be specified multiple times

--yathui-url http://my-yath-ui.com/...
--uri http://my-yath-ui.com/...
--no-yathui-url
    Yath-UI url

SOURCE
The source code repository for Test2-Harness can be found at http://github.com/Test-More/Test2-Harness/.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright 2026 Chad Granum <exodist7@gmail.com>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://dev.perl.org/licenses/